<% . /usr/local/lib/cgi/haserl.sh ; check_instances pjsua_uihome.cgi %>
<% . /lib/config/functions.sh %>
<html>
<head>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8">
<style type="text/css">
<!--
body,td,th {
  margin-left: 20px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 13px;
  font-weight: bold;
  color: #333333;
}
th.val,td.val {
  background-color: #e6e8eb;
  font-weight: normal;
}
th.wh,td.wh {
  background-color: #ffffff;
}
img.cmd {
  width: 0px;
  height: 0px;
  visibility: hidden;
}
td.size220 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 13px;
	font-weight: bold;
	color: #333333;
	width:200px; 
	max-width:200px;
	min-width:200px;
	overflow: hidden;
}

table {
	width: 510px;
	table-layout: fixed;
	padding: 0px;
	border-spacing: 0px;
}
-->
</style>

<script language=JavaScript>

var is_firefox = navigator.userAgent.toLowerCase().indexOf('firefox') > -1;
var isIE=0;

/*@cc_on
 @if (@_jscript_version == 10)
	isIE=10;
 @else
	// old way to go
	isIE=1;
 @end
@*/

var delay = 1000;
var xmlhttp=false;
var empty_cnt;
var oldPeerId = "";

// get best/appropriate xmlhttprequest object
if (isIE) {
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
			xmlhttp = false;
		}
	}
} else {
	xmlhttp = false;
}
// now go with std (non IE) xmlhttp
if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
	try {
		xmlhttp = new XMLHttpRequest();
	} catch (e) {
		xmlhttp = false;
	}
}

function send_xmlhttp_request (url, funct) {
	xmlhttp.open("GET", url, true);
	if (!isIE)
		xmlhttp.overrideMimeType('text/plain');
	xmlhttp.setRequestHeader("If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT");
	if(!funct) funct = function(){};
	xmlhttp.onreadystatechange=funct;
	xmlhttp.send(null);
}

function gotStatus(data) {
	/* 
	 * not found http error <?xml  ?
	 */
	if (data.substr(0,2)=="<?") return;
	
	if (data!="") {
		processStatusData(data);
	}else{
		//did not get response, stop polling and report error 
		// stop sending requests
		// send_xmlhttp_request("/cgi-bin/sip.cgi?get_status=1",0);
	}
	setTimeout("getStatus()", delay);	
}

function getStatus() {
	if (xmlhttp) {
		function reply() {
			if (xmlhttp.readyState==4) {
				gotStatus(xmlhttp.responseText);
			}
		};
		send_xmlhttp_request("/cgi-bin/sip.cgi?get_status=1",reply);
	}
}

function startStatusPolling() {
	empty_cnt=0;	
	setTimeout("getStatus()", delay);		
}

function processStatusData(jsonData){
	var statusData=JSON.parse(jsonData);
	var regTime="";
	var peerId="";
	var rtsIO="";
	document.getElementById('call_state').innerHTML=statusData.call_state;
	// Remove <> as they are causing display problems 
	peerId=trimHtmlTags(decodeURIComponent(statusData.peer_id));
	if ( oldPeerId != peerId){
		oldPeerId = peerId;
		if (peerId.length < 45){
			document.getElementById('peer_id').innerHTML=peerId;
		}else{
			document.getElementById('peer_id').innerHTML="<marquee direction=\"left\" scrollamount=\"5\">" + peerId + "</marquee>";
		}
	}
	
	document.getElementById('reg_status').innerHTML=statusData.hasRegistered;
	regTime=statusData.expires;
	if (regTime == "-1") regTime="";
	document.getElementById('reg_time').innerHTML=regTime;
	rtsIO=statusData.rts_io;
	rtsIO=rtsIO.toUpperCase();
	switch (rtsIO){
		case "ON":
			document.getElementById('rts_io').src="/images/io-on.gif";
			break;
		case "OFF":
			document.getElementById('rts_io').src="/images/io-off.gif";
			break;
		default:
			document.getElementById('rts_io').src="/images/io-X.gif";
	}
}

function sendSingleCommand(cmd){
   	var randomActNo=Math.floor(Math.random()*1001);
   	var dataHref="/cgi-bin/sip.cgi?"+cmd+"&"+randomActNo;
   	document.images["senddataimg"].src = dataHref; // use fake img to send data without reloading
}

function sendDialCommand(){
	dialCmd="dial=sip:" + document.getElementById('id_to_dial').value;
	sendSingleCommand(dialCmd);
}

function trimHtmlTags(theString){
	var ret=theString;
	if (ret.indexOf("<") > -1) ret=ret.replace("<","&lt;");
	if (ret.indexOf(">") > -1) ret=ret.replace(">","&gt;");
	//if (ret.indexOf("sip:") > -1) ret=ret.replace("sip:","");
	return ret;
}

</script>
</head>
<body link=#000000 vlink=#000000 alink=#000000 onLoad=startStatusPolling()><font face="Arial, Helvetica, sans-serif">
<img class="cmd" name="senddataimg" src="">

<table>
	<colgroup>
		<col width="220px">
		<col width="290px">
	</colgroup>
	<tr>
		<td colspan=2>BARIX SIP CLIENT HOME PAGE</td>
		<td></td>
	</tr>
	
</table>
<br>
<table>
	<colgroup>
		<col width="220px">
		<col width="290px">
	</colgroup>
	<tr>
		<td colspan=2>
			Barix SIP Application Status
		</td>
	</tr>
	<tr>
		<td> Call State </td>
		<td class="val" id=call_state></td>
	</tr>
	<tr>
		<td> Remote Party ID </td>
		<td class="val" id=peer_id></td>
	</tr>
	<tr>
		<td> Registration Status </td>
		<td class="val" id=reg_status></td>
	</tr>
	<tr>
		<td> Next Registration in</td>
		<td class="val" id=reg_time></td>
	</tr>
	<tr>
		<td> RTS IO Status</td>
		<td class="val" ><img id=rts_io src="/images/io-X.gif"></td>
	</tr>	
</table>
<br>
<table>
	<colgroup>
		<col width="220px">
		<col width="290px">
	</colgroup>
	<tr>
		<td colspan=2>
			Barix SIP Command Buttons
		</td>
		<td></td>
	</tr>
	<tr>
		<td>
			<input type=button value=Answer 
					style="color:#4CAF50;" 
					onclick=sendSingleCommand('answer=1');>
			<input type=button value=Hangup 
					style="color:red;"
					onclick=sendSingleCommand('hangup=1');>
			<input type=button value=Dial onclick=sendDialCommand();>
			sip:
		</td>
		<td class="val">
			<input id=id_to_dial size="32" maxlength="100" value=<% cfg_print_param pjsua.misc.quick_dial_num %> >
		</td>
	</tr>
</table>
			



<br>

</body>
</html>
